Zmień ustawienia AI Workspace
curl --request PATCH \
--url https://itemshop.dev/api/v2/shops/{shopId}/workspace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcp": {
"toolGroups": {}
},
"toolGroups": {},
"skills": [
"<string>"
],
"git": {
"branch": "main",
"autoDeploy": true
},
"publish": {
"previewOnCommit": true,
"productionRequiresApproval": true,
"autoPromoteFromGit": true
}
}
'import requests
url = "https://itemshop.dev/api/v2/shops/{shopId}/workspace"
payload = {
"mcp": { "toolGroups": {} },
"toolGroups": {},
"skills": ["<string>"],
"git": {
"branch": "main",
"autoDeploy": True
},
"publish": {
"previewOnCommit": True,
"productionRequiresApproval": True,
"autoPromoteFromGit": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mcp: {toolGroups: {}},
toolGroups: {},
skills: ['<string>'],
git: {branch: 'main', autoDeploy: true},
publish: {
previewOnCommit: true,
productionRequiresApproval: true,
autoPromoteFromGit: true
}
})
};
fetch('https://itemshop.dev/api/v2/shops/{shopId}/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://itemshop.dev/api/v2/shops/{shopId}/workspace",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'mcp' => [
'toolGroups' => [
]
],
'toolGroups' => [
],
'skills' => [
'<string>'
],
'git' => [
'branch' => 'main',
'autoDeploy' => true
],
'publish' => [
'previewOnCommit' => true,
'productionRequiresApproval' => true,
'autoPromoteFromGit' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://itemshop.dev/api/v2/shops/{shopId}/workspace"
payload := strings.NewReader("{\n \"mcp\": {\n \"toolGroups\": {}\n },\n \"toolGroups\": {},\n \"skills\": [\n \"<string>\"\n ],\n \"git\": {\n \"branch\": \"main\",\n \"autoDeploy\": true\n },\n \"publish\": {\n \"previewOnCommit\": true,\n \"productionRequiresApproval\": true,\n \"autoPromoteFromGit\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://itemshop.dev/api/v2/shops/{shopId}/workspace")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mcp\": {\n \"toolGroups\": {}\n },\n \"toolGroups\": {},\n \"skills\": [\n \"<string>\"\n ],\n \"git\": {\n \"branch\": \"main\",\n \"autoDeploy\": true\n },\n \"publish\": {\n \"previewOnCommit\": true,\n \"productionRequiresApproval\": true,\n \"autoPromoteFromGit\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://itemshop.dev/api/v2/shops/{shopId}/workspace")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mcp\": {\n \"toolGroups\": {}\n },\n \"toolGroups\": {},\n \"skills\": [\n \"<string>\"\n ],\n \"git\": {\n \"branch\": \"main\",\n \"autoDeploy\": true\n },\n \"publish\": {\n \"previewOnCommit\": true,\n \"productionRequiresApproval\": true,\n \"autoPromoteFromGit\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Workspace
Zmień ustawienia AI Workspace
PATCH
/
api
/
v2
/
shops
/
{shopId}
/
workspace
Zmień ustawienia AI Workspace
curl --request PATCH \
--url https://itemshop.dev/api/v2/shops/{shopId}/workspace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mcp": {
"toolGroups": {}
},
"toolGroups": {},
"skills": [
"<string>"
],
"git": {
"branch": "main",
"autoDeploy": true
},
"publish": {
"previewOnCommit": true,
"productionRequiresApproval": true,
"autoPromoteFromGit": true
}
}
'import requests
url = "https://itemshop.dev/api/v2/shops/{shopId}/workspace"
payload = {
"mcp": { "toolGroups": {} },
"toolGroups": {},
"skills": ["<string>"],
"git": {
"branch": "main",
"autoDeploy": True
},
"publish": {
"previewOnCommit": True,
"productionRequiresApproval": True,
"autoPromoteFromGit": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mcp: {toolGroups: {}},
toolGroups: {},
skills: ['<string>'],
git: {branch: 'main', autoDeploy: true},
publish: {
previewOnCommit: true,
productionRequiresApproval: true,
autoPromoteFromGit: true
}
})
};
fetch('https://itemshop.dev/api/v2/shops/{shopId}/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://itemshop.dev/api/v2/shops/{shopId}/workspace",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'mcp' => [
'toolGroups' => [
]
],
'toolGroups' => [
],
'skills' => [
'<string>'
],
'git' => [
'branch' => 'main',
'autoDeploy' => true
],
'publish' => [
'previewOnCommit' => true,
'productionRequiresApproval' => true,
'autoPromoteFromGit' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://itemshop.dev/api/v2/shops/{shopId}/workspace"
payload := strings.NewReader("{\n \"mcp\": {\n \"toolGroups\": {}\n },\n \"toolGroups\": {},\n \"skills\": [\n \"<string>\"\n ],\n \"git\": {\n \"branch\": \"main\",\n \"autoDeploy\": true\n },\n \"publish\": {\n \"previewOnCommit\": true,\n \"productionRequiresApproval\": true,\n \"autoPromoteFromGit\": true\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://itemshop.dev/api/v2/shops/{shopId}/workspace")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"mcp\": {\n \"toolGroups\": {}\n },\n \"toolGroups\": {},\n \"skills\": [\n \"<string>\"\n ],\n \"git\": {\n \"branch\": \"main\",\n \"autoDeploy\": true\n },\n \"publish\": {\n \"previewOnCommit\": true,\n \"productionRequiresApproval\": true,\n \"autoPromoteFromGit\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://itemshop.dev/api/v2/shops/{shopId}/workspace")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"mcp\": {\n \"toolGroups\": {}\n },\n \"toolGroups\": {},\n \"skills\": [\n \"<string>\"\n ],\n \"git\": {\n \"branch\": \"main\",\n \"autoDeploy\": true\n },\n \"publish\": {\n \"previewOnCommit\": true,\n \"productionRequiresApproval\": true,\n \"autoPromoteFromGit\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Autoryzacje
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parametry ścieżki
ID sklepu (ObjectId)
Treść
application/json
Wybrany agent
Dostępne opcje:
builtin, claude-code, codex, opencode, gemini-cli, cursor, windsurf, aider, generic Kształt jak w GET: { toolGroups }
Show child attributes
Show child attributes
Skrót dla mcp.toolGroups
Show child attributes
Show child attributes
Włączone skille (id z GET /skills)
Maximum array length:
30Required string length:
1 - 64Show child attributes
Show child attributes
Show child attributes
Show child attributes
Czy ta strona była pomocna?
⌘I